GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | List of all members
gdcm::network::DIMSE Class Reference

DIMSE PS 3.7 - 2009 Annex E Command Dictionary (Normative) E.1 REGISTRY OF DICOM COMMAND ELEMENTS Table E.1-1 COMMAND FIELDS (PART 1) More...

`#include <gdcmDIMSE.h>`

## Public Types

enum

CommandTypes {
C_STORE_RQ = 0x0001,
C_STORE_RSP = 0x8001,
C_GET_RQ = 0x0010,
C_GET_RSP = 0x8010,
C_FIND_RQ = 0x0020,
C_FIND_RSP = 0x8020,
C_MOVE_RQ = 0x0021,
C_MOVE_RSP = 0x8021,
C_ECHO_RQ = 0x0030,
C_ECHO_RSP = 0x8030,
N_EVENT_REPORT_RQ = 0x0100,
N_EVENT_REPORT_RSP = 0x8100,
N_GET_RQ = 0x0110,
N_GET_RSP = 0x8110,
N_SET_RQ = 0x0120,
N_SET_RSP = 0x8120,
N_ACTION_RQ = 0x0130,
N_ACTION_RSP = 0x8130,
N_CREATE_RQ = 0x0140,
N_CREATE_RSP = 0x8140,
N_DELETE_RQ = 0x0150,
N_DELETE_RSP = 0x8150,
C_CANCEL_RQ = 0x0FFF
}

## Detailed Description

DIMSE PS 3.7 - 2009 Annex E Command Dictionary (Normative) E.1 REGISTRY OF DICOM COMMAND ELEMENTS Table E.1-1 COMMAND FIELDS (PART 1)

## Member Enumeration Documentation

enum gdcm::network::DIMSE::CommandTypes

Enumerator:

  C_STORE_RQ |
  C_STORE_RSP |
  C_GET_RQ |
  C_GET_RSP |
  C_FIND_RQ |
  C_FIND_RSP |
  C_MOVE_RQ |
  C_MOVE_RSP |
  C_ECHO_RQ |
  C_ECHO_RSP |
  N_EVENT_REPORT_RQ |
  N_EVENT_REPORT_RSP |
  N_GET_RQ |
  N_GET_RSP |
  N_SET_RQ |
  N_SET_RSP |
  N_ACTION_RQ |
  N_ACTION_RSP |
  N_CREATE_RQ |
  N_CREATE_RSP |
  N_DELETE_RQ |
  N_DELETE_RSP |
  C_CANCEL_RQ |

The documentation for this class was generated from the following file:

- gdcmDIMSE.h